Subject: Re: reg Philips ISP 1562 usb controller support in linux2.6.23.11

From: Clemens Koller <[email-masked]>
Date: Tue, 19 Feb 2008 17:53:54 +0100

Hello, Magendra!

mahendra varman schrieb:
> Iam using a powerpc processor (7448)
> cat proc/cpu info is
> processor       : 0
> cpu             : 7448
> revision        : 2.2 (pvr 8004 0202)
> bogomips        : 995.32
> vendor          : Cornet India Ltd
> machine         : CTP7448
> PB freq         : 133Mhz
> SDC freq        : 0Mhz
> 
> Sir, Today I noticed that when ever i insert a mp3usb stick it is giving 
> Unlink after no-IRQ?  "
> "Controller is probably using the wrong IRQ"

Try booting the kernel with "irqpoll". Example:

 > linux noapic pci=irqroute pci=noacpi acpi=off irqpoll

Check if that helps.

> but if i insert an  usbflash stick(without mp3)  It is enumerating and i 
> can able to mount the usb and read the content
> 
> I wonder why iam getting unlink after no IRQ for some devices and for 
> others iam not getting that

Well, I just don't know.
What kernel architecture do you use? ppc or powerpc?
In case you use the former (which is deprecated),
you might want to try the latter.

> Please clear my query sir

(-: Please follow my advices:

1. DO NOT remove the mailing list from CC: (and the chance anybody is
    able to help you!)
2. post the output of lspci -vv.

Next step is: contact the guys in the linux-usb mailing list.

Regards,

Clemens